package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UpgradeSiteModelInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpgradeSiteModelInfo   {
  @JsonProperty("modelTypeInfos")
  @Valid
  private List<ModelTypeInfoOpenApiVo> modelTypeInfos = null;

  public UpgradeSiteModelInfo modelTypeInfos(List<ModelTypeInfoOpenApiVo> modelTypeInfos) {
    this.modelTypeInfos = modelTypeInfos;
    return this;
  }

  public UpgradeSiteModelInfo addModelTypeInfosItem(ModelTypeInfoOpenApiVo modelTypeInfosItem) {
    if (this.modelTypeInfos == null) {
      this.modelTypeInfos = new ArrayList<>();
    }
    this.modelTypeInfos.add(modelTypeInfosItem);
    return this;
  }

  /**
   * List of model type selected by the user
   * @return modelTypeInfos
  */
  @ApiModelProperty(value = "List of model type selected by the user")

  @Valid

  public List<ModelTypeInfoOpenApiVo> getModelTypeInfos() {
    return modelTypeInfos;
  }

  public void setModelTypeInfos(List<ModelTypeInfoOpenApiVo> modelTypeInfos) {
    this.modelTypeInfos = modelTypeInfos;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpgradeSiteModelInfo upgradeSiteModelInfo = (UpgradeSiteModelInfo) o;
    return Objects.equals(this.modelTypeInfos, upgradeSiteModelInfo.modelTypeInfos);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modelTypeInfos);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpgradeSiteModelInfo {\n");
    
    sb.append("    modelTypeInfos: ").append(toIndentedString(modelTypeInfos)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

